Hosts
Cedana API for hosts
Use query params to filter hosts. Supports filtering by ids (comma-separated strings for single or multiple hosts)
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
idsstring · nullableOptional
Comma-separated list of host IDs to filter by
Responses
200
Returns hosts
application/json
HostnamestringOptional
IDstringOptional
KernelArchstringOptional
KernelVersionstringOptional
MACstringOptional
OSstringOptional
PlatformstringOptional
400
Invalid query parameters
application/json
500
Failed to connect/fetch from database
application/json
4XX
Client error
application/json
5XX
Server error
application/json
get/v1/hosts
GET /v1/hosts HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
{
"CPU": {
"Count": 1,
"Family": "text",
"PhysicalID": "text",
"VendorID": "text"
},
"Hostname": "text",
"ID": "text",
"KernelArch": "text",
"KernelVersion": "text",
"MAC": "text",
"Memory": {
"Total": 1
},
"OS": "text",
"Platform": "text"
}
]Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Body
HostnamestringOptional
IDstringOptional
KernelArchstringOptional
KernelVersionstringOptional
MACstringOptional
OSstringOptional
PlatformstringOptional
Responses
200
Host created or updated successfully
No content
400
Invalid request payload
application/json
500
Failed to execute request against database
application/json
4XX
Client error
application/json
5XX
Server error
application/json
put/v1/hosts/{id}
PUT /v1/hosts/{id} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 210
{
"CPU": {
"Count": 1,
"Family": "text",
"PhysicalID": "text",
"VendorID": "text"
},
"Hostname": "text",
"ID": "text",
"KernelArch": "text",
"KernelVersion": "text",
"MAC": "text",
"Memory": {
"Total": 1
},
"OS": "text",
"Platform": "text"
}No content
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Responses
200
Host deleted successfully
No content
500
Failed to execute request against database
application/json
4XX
Client error
application/json
5XX
Server error
application/json
delete/v1/hosts/{id}
DELETE /v1/hosts/{id} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No content
Last updated
Was this helpful?